GDB (xrefs)

Public Member Functions | Public Attributes | List of all members
selftests::function_view::plus_one_int_func_obj Struct Reference

## Public Member Functions
int | operator() (int val)

## Public Attributes
int | call_count = 0

## Detailed Description

Definition at line 51 of file function-view-selftests.c.

## Member Function Documentation

## ◆ operator()()

int selftests::function_view::plus_one_int_func_obj::operator() | ( | int | val | ) |
| inline

Definition at line 53 of file function-view-selftests.c.

References call_count.

## Member Data Documentation

## ◆ call_count

int selftests::function_view::plus_one_int_func_obj::call_count = 0

Definition at line 60 of file function-view-selftests.c.

Referenced by operator()(), and selftests::function_view::run_tests().

The documentation for this struct was generated from the following file:

- /tmp/gdb-8.1/gdb/unittests/function-view-selftests.c